# -*- coding: utf-8 -*-

from lib.version import __version__

class Su(object):
    """
    Prgramm class to store some information about the programm.
    """
    @staticmethod
    def version():
        """
        Get programm version in Semantic Versioning format.
        """
        return __version__

    @staticmethod
    def name():
        """
        Programm name.
        """
        return "Spectrum Usage"

    @staticmethod
    def short_name():
        """
        Short programm name.
        """
        return "SU"

    @staticmethod
    def name_and_version():
        """
        Return handy string containing short name, name and version.

        Example:
          SU - Spectrum Usage v0.0.1
        """
        return Su.short_name() + " - " + Su.name() + " v" + Su.version()
