#!/usr/bin/env python2.7
# -*- coding: utf-8 -*-

import logging
import sys
import argparse
import os

from PyQt5 import QtCore, QtGui, QtWidgets

import lib.gui.gui as gui

from lib.su import Su
from lib.dependencies import check_dependencies

def parse_arguments():
    parser = argparse.ArgumentParser()
    # verbose
    parser.add_argument("-v", "--verbose", help="increase output verbosity",
                        action="store_true")

    # version
    parser.add_argument("--version", action="version",
                        version='%(prog)s {version}'. \
                            format(version=Su.version()))

    return parser.parse_args()


def main():
    args = parse_arguments()

    check_dependencies()

    if args.verbose:
        logging.basicConfig(level=logging.DEBUG)
    else:
        logging.basicConfig(level=logging.INFO)

    logging.info("Started %s - v%s" % (__file__, Su.version()))
    # starting gui
    app = QtWidgets.QApplication(sys.argv)
    window = gui.SuGui()
    sys.exit(app.exec_())


if __name__ == "__main__":
    main()
